Description

Supportanfrage

We are using ADTF3.8 Version, and we have the use-case, where we want to define an environment variable in System Editor, and

we want to use this variable at various locations in our current-project/session, as shown in the figures 1 and 2 below . Here we use

the variable $(GAF3_PROJEKT_DIR) to define the search paths for description-files of my own written filters. It works as intended

when we first define these search-paths. However, when we close the project/session, and restart ADTF, it does not seem to find the

.description files (Error shown in Validation Protocol view in Figure 3-4), even though the paths are correct. If we redefine the same

paths again in the search-paths for plugin descriptions, the error goes away.

Could you kindly suggest us, how this error could be prevented?
Lösung

The scope of Environment Variables in ADTF System (File) is inside the ADTF Session, so it does not have any relation to an ADTF

Project or CE Settings (in your case).

That it will work in some situations depends on the model build up by ADTF Configuration Editor and the Environment Variables

which will be set by the loaded ADTF Session.

But this is more a hidden feature or even more a "bug" to architecture and OS behaviour.

We advise only use Environment Variables defined in the ADTF System only within the ADTF Session (and its containing files).

We are working on a solution to get macros from product, load the pool (plugindescription) and use it within ADTF System (for CE

and Launcher).

We call it adtfenvironment and will be releasing it with ADTF 3.9.0.

Feel free to use a preview -> https://git.digitalwerk.net/adtf3_open_source/adtfenvironment_files

The documnetation there should show up the use case and how to use it (will be a guide in ADTF 3.9.0 later).

History

#1 - 2020-08-06 15:22 - hidden

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::CE
- Affected Products ADTF 3.8.0 added

#2 - 2020-08-06 15:23 - hidden

- Customer set to AUDI

- Department set to EF

#5 - 2020-08-11 13:37 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Workaround Available

Hi Faisal,

the scope of Environment Variables in ADTF System (File) is inside the ADTF Session, so it does not have any relation to an ADTF Project or CE

Settings (in your case).

That it will work in some situations depends on the model build up by ADTF Configuration Editor and the Environment Variables which will be set by

the loaded ADTF Session.

But this is more a hidden feature or even more a "bug" to architecture and OS behaviour.

We advise only use Environment Variables defined in the ADTF System only within the ADTF Session (and its containing files).

We are working on a solution to get macros from product, load the pool (plugindescription) and use it within ADTF System (for CE and Launcher).

We call it adtfenvironment and will be releasing it with ADTF 3.9.0.

Feel free to use a preview -> https://git.digitalwerk.net/adtf3_open_source/adtfenvironment_files

The documnetation there should show up the use case and how to use it (will be a guide in ADTF 3.9.0 later).

#7 - 2020-08-14 09:18 - hidden

Hello Faisal,

can we close this ticket?

Please give us feedback until 18.08.2020

Best regards

#9 - 2020-08-18 09:30 - hidden

Dear ADTF-Support,

Thanks for your answer regarding our inquiry.

Yes, you can close this ticket please. :)

Best regards,

Faisal

#10 - 2020-08-18 13:34 - hidden

- Subject changed from Question regarding Plugin-description search paths to Plugindescription paths does not resolve macros (always)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#12 - 2020-10-06 10:27 - hidden

- Status changed from To Be Closed to Closed
